#include <QtGui/QGuiApplication>
#include <QQuickItem>
#include <QDebug>
#include "qtquick2applicationviewer.h"

#define APPLICATION_NAME "Terminal" // Change this to the name of the application

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QtQuick2ApplicationViewer viewer;
     viewer.setMainQmlFile(QStringLiteral("qml/terminal/main.qml"));

    QQuickItem *rootItem = new QQuickItem();
    rootItem = viewer.rootItem();

    QList<QQuickItem *> childItems = rootItem->childItems();

    QQuickItem *childItem = childItems.at(0);

    QObject *text = childItem->findChild<QObject*>("Label");

    if(text){
        text->setProperty("text", QString(APPLICATION_NAME)); // change the #define APPLICATION_NAME value
    }
    else{
    }


    viewer.showExpanded();

    return app.exec();
}
